> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Templates Add For Team

POST https://api.dropboxapi.com/2/file_properties/templates/add_for_team
Content-Type: application/json

Add a template associated with a team. See [properties/add](api:dropbox-api:POST/2/file_properties/properties/add) to add properties to a file or folder.

 Note: this endpoint will create team-owned templates.

**Required scope:** `files.team_metadata.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/file-properties/templates-add-for-team

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `description` (string, required) — Description for the template. Template descriptions can be up to 1024 bytes.
- `fields` (list of object, required) — Definitions of the property fields associated with this template. There can be up to 32 properties in a single template.
  - `description` (string, required) — Description of the property field. Property field descriptions can be up to 1024 bytes.
  - `name` (string, required) — Key of the property field being described. Property field keys can be up to 256 bytes.
  - `type` (object, required)
    - file_properties.PropertyFieldTemplate.PropertyType.string
      - `.tag` (enum, required)
        - Allowed values: `string`
- `name` (string, required) — Display name for the template. Template names can be up to 256 bytes.

## Response

### 200

Successful response

- `template_id` (string, required) — An identifier for template added by See [templates/add_for_user](api:dropbox-api:POST/2/file_properties/templates/add_for_user) or [templates/add_for_team](api:dropbox-api:POST/2/file_properties/templates/add_for_team).

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object or object, required)
  - file_properties.ModifyTemplateError.template_not_found
    - `.tag` (enum, required)
      - Allowed values: `template_not_found`
    - `template_not_found` (string, required, nullable) — Core data types
  - file_properties.ModifyTemplateError.restricted_content
    - `.tag` (enum, required)
      - Allowed values: `restricted_content`
  - file_properties.ModifyTemplateError.conflicting_property_names
    - `.tag` (enum, required)
      - Allowed values: `conflicting_property_names`
  - file_properties.ModifyTemplateError.too_many_properties
    - `.tag` (enum, required)
      - Allowed values: `too_many_properties`
  - file_properties.ModifyTemplateError.too_many_templates
    - `.tag` (enum, required)
      - Allowed values: `too_many_templates`
  - file_properties.ModifyTemplateError.template_attribute_too_large
    - `.tag` (enum, required)
      - Allowed values: `template_attribute_too_large`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "description": "These properties describe how confidential this file or folder is.",
  "fields": [
    {
      "description": "This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.",
      "name": "Security Policy",
      "type": {
        ".tag": "string"
      }
    }
  ],
  "name": "Security"
}
```

**Response**

```json
{
  "template_id": "ptid:1a5n2i6d3OYEAAAAAAAAAYa"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/file_properties/templates/add_for_team"

payload = {
    "description": "These properties describe how confidential this file or folder is.",
    "fields": [
        {
            "description": "This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.",
            "name": "Security Policy",
            "type": { ".tag": "string" }
        }
    ],
    "name": "Security"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/file_properties/templates/add_for_team';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"description":"These properties describe how confidential this file or folder is.","fields":[{"description":"This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.","name":"Security Policy","type":{".tag":"string"}}],"name":"Security"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/file_properties/templates/add_for_team"

	payload := strings.NewReader("{\n  \"description\": \"These properties describe how confidential this file or folder is.\",\n  \"fields\": [\n    {\n      \"description\": \"This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.\",\n      \"name\": \"Security Policy\",\n      \"type\": {\n        \".tag\": \"string\"\n      }\n    }\n  ],\n  \"name\": \"Security\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/file_properties/templates/add_for_team")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"description\": \"These properties describe how confidential this file or folder is.\",\n  \"fields\": [\n    {\n      \"description\": \"This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.\",\n      \"name\": \"Security Policy\",\n      \"type\": {\n        \".tag\": \"string\"\n      }\n    }\n  ],\n  \"name\": \"Security\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/file_properties/templates/add_for_team")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"description\": \"These properties describe how confidential this file or folder is.\",\n  \"fields\": [\n    {\n      \"description\": \"This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.\",\n      \"name\": \"Security Policy\",\n      \"type\": {\n        \".tag\": \"string\"\n      }\n    }\n  ],\n  \"name\": \"Security\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/file_properties/templates/add_for_team', [
  'body' => '{
  "description": "These properties describe how confidential this file or folder is.",
  "fields": [
    {
      "description": "This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.",
      "name": "Security Policy",
      "type": {
        ".tag": "string"
      }
    }
  ],
  "name": "Security"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/file_properties/templates/add_for_team");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"description\": \"These properties describe how confidential this file or folder is.\",\n  \"fields\": [\n    {\n      \"description\": \"This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.\",\n      \"name\": \"Security Policy\",\n      \"type\": {\n        \".tag\": \"string\"\n      }\n    }\n  ],\n  \"name\": \"Security\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "description": "These properties describe how confidential this file or folder is.",
  "fields": [
    [
      "description": "This is the security policy of the file or folder described. Policies can be Confidential, Public or Internal.",
      "name": "Security Policy",
      "type": [".tag": "string"]
    ]
  ],
  "name": "Security"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/file_properties/templates/add_for_team")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```